Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8201 - Long delays during X boot under Gnome
Summary: Long delays during X boot under Gnome
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-core
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-05 04:35 UTC by Jim Parnell
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-04 21:32:35 UTC


Attachments (Terms of Use)

Description Jim Parnell 2000-01-05 04:35:02 UTC
After signing on the initial login screen (X has booted up at this point)
there is about a two minute delay before the window manager starts painting
the controls and default xterms.  In 'messages', this is the sequence:

<many messages deleted>

Jan  4 21:41:32 localhost sound: Starting sound configuration:
Jan  4 21:41:32 localhost sound: sound
Jan  4 21:41:32 localhost sound:
Jan  4 21:41:32 localhost rc: Starting sound succeeded
Jan  4 21:41:33 localhost PAM_pwdb[468]: (su) session opened for user xfs
by (uid=0)
Jan  4 21:41:33 localhost PAM_pwdb[468]: (su) session closed for user xfs
Jan  4 21:41:34 localhost xfs: xfs startup succeeded
Jan  4 21:41:34 localhost linuxconf: Linuxconf final setup
Jan  4 21:41:34 localhost rc: Starting linuxconf succeeded
Jan  4 21:41:54 localhost PAM_pwdb[537]: (gdm) session opened for user root
by (uid=0)
Jan  4 21:43:28 localhost gnome-name-server[640]: starting
Jan  4 21:43:28 localhost gnome-name-server[640]: starting
Jan  4 21:43:28 localhost gnome-name-server[640]: name server starting
Jan  4 21:43:28 localhost gnome-name-server[640]: name server starting
Jan  4 21:43:32 localhost gnome-name-server[647]: server_is_alive:
cnx[IDL:GNOME/Panel:1.0] = 0x8056300
Jan  4 21:43:32 localhost gnome-name-server[648]: server_is_alive:
cnx[IDL:GNOME/Panel:1.0] = 0x80565e0
Jan  4 21:43:34 localhost gnome-name-server[653]: server_is_alive:
cnx[IDL:GNOME/Panel:1.0] = 0x8056a70
Jan  4 21:43:34 localhost gnome-name-server[654]: server_is_alive:
cnx[IDL:GNOME/Panel:1.0] = 0x8056cb8

<normal operations start here>

Note that I use the loopback address as the system IP until I start up my
PPP interface (manually).

This problem only recently began occurring.  I do not know what change to
the system configuration the advent of this bug may have coincided with, if
any.

-Jim Parnell

Comment 1 Cristian Gafton 2000-01-27 08:40:59 UTC
assign to gnome

Comment 2 Elliot Lee 2000-02-02 00:56:59 UTC
Various desktop components need to be able to reliably turn your hostname into
an IP address, and vice versa - from the sound of it you are doing some network
magic that might make this not true.

Comment 3 Jim Parnell 2000-02-02 02:44:59 UTC
The PPP interface is not starteduntil after gnome has loaded.  The DNS defined
in my configuration is my ISP's, which would be inaccessible until I've
connected.  Do you think starting PPP at boot time would make the desktop
critters happy (assuming the connection goes through)?

Comment 4 Elliot Lee 2000-02-04 21:32:59 UTC
You could do that, or you could fix /etc/hosts to contain information on your
hostname (as it should).


Note You need to log in before you can comment on or make changes to this bug.